#include "utils.h"

void printBytes(const char title[], const std::vector<uint8_t> &b)
{
  Serial0.flush();
  printf("%s: ", title);
  for (auto v : b)
  {
    printf("0x%02x ", v);
  }
  printf("\n");
  Serial0.flush();
}

void printBytes(const char title[], const std::vector<uint16_t> &b)
{
  Serial0.flush();
  printf("%s: ", title);
  for (auto v : b)
  {
      printf("0x%04x ", v);
    }
    printf("\n");
    Serial0.flush();
}

void printBool(const char title[], const std::vector<bool> &vals)
{
    Serial0.flush();
    printf("%s: ", title);
    for (auto j(0); j < vals.size(); j++)
    {
        printf("%s ", vals.at(j) ? "True" : "False");
    }
    printf("\n");
    Serial0.flush();
}
